import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';

// Path for images
const String imagePath = "images/";
//Font Size
const double font_small = 16.0;
const double font_medium = 18.0;
//tabs
const double offset1=0.2;
const double offset2=0.2;
const double tab_underline_width=2.0;
const double tab_border_width=1.0;
const double tab_border=50.0;

//buttons

const double button_heightElevation=8.0;
const double button_elevation=7.0;
const double button_disabledElevation=10.0;
const String text_button="Okay";
const Icon icon_button= Icon(Icons.access_time);



const double button_borderRadius=0.0;
const double button_edgeInsetsAll=20.0;
const double button_height=50.0;
const double button_borderWidth=2.0;
const double button_width=70.0;

const double font_larger = 20.0;
const double linear_larger = 30.0;

// Constant general values based on coin
const double onePixelDouble = 1;
const double twoPixelDouble = 2;
const double fivePixelDouble = 5;
const double tenPixelDouble = 10;
const double twentyPixelDouble = 20;
const double fiftyPixelDouble= 50;
const double hundredPixelDouble = 100;

const int onePixelInt = 1;
const int twoPixelInt = 2;
const int fivePixelInt = 5;
const int tenPixelInt = 10;
const int twentyPixelInt = 20;
const int fiftyPixelInt= 50;
const int hundredPixelInt = 100;

const double circular_radius = 10;
const int intOne = 1;
const int intTwo = 2;
const int intFive = 5;

// Default values for thickness, height of containers, borders  etc
const double heightTwentyPixel = 20;
const double thicknesssTwoPixel = 2;
const double indentOnePixel = 1;
const double endIndentOnePixel = 1;
const EdgeInsetsGeometry edgeInsetValues = EdgeInsets.all(20.0);

const String listTitle = "Sample list title";
const String listSubtitle = "Sample list subtitle";

const String sampleText = "Sample Text";

// Default icons
const IconData icon1 = Icons.add;
const IconData icon2 = Icons.warning;
const IconData icon_add = Icons.add_box;

// Progress indicators
const double intialValue = null;

//TextField
const int MAX_Length = 50;
const bool MAX_Length_Enforced = false;
const bool OBSECURE_Text = false;

//Slider
const int DIVS = 5;
const double MAX = 50.0;
const double MIN = 0.0;
const double value =0.0;

//BottomSheet
const double MIN_HEIGHT = 75.0;
const double MAX_HEIGHT = 200.0;
const double icon_size1 = 25;
const double font_size1 = 16;
const double padding_value1 = 0;
const double padding_value2 = 0;


//Alert Dialog
const DIALOG_BUTTON_T1 = "Yes";
const DIALOG_BUTTON_T2 = "No";
const double font_size2 = 20;
const double height_factor1 = 0.32;
const double width_factor1 = 0.85;


//HorizontalCard
const double Container_Height = 300;
const double Tile_Height = 350;
const double Tile_Width = 350;

const Drawer_username='Username';
const Drawer_email='abc@xyz.com';

const FontWeight bold = FontWeight.bold;

const double fontSmall = 16.0;
const double fontMedium = 18.0;
const double fontLarger = 20.0;
const FontWeight fontBold = FontWeight.bold;
//SizedBox height/width
const double heightOne = 1.0;
const double heightTwo = 2.0;
const double heightThree = 3.0;
const double heightFive = 5.0;
const double heightTen = 10.0;
const double heightTwenty = 20.0;
const double heightTwentyFive = 25.0;
const double heightThirty = 30.0;
const double heightFourrty = 40.0;
const double heightFifty = 50.0;
const double heightSeventy = 70.0;
const double heightEighty = 80.0;
const double heightHundred = 100.0;
const double heightOneEighty = 180.0;
const double heightTwoHundred = 200.0;
const double heightThreeHundred = 300.0;
const double heightFourHundred = 400.0;


const double dropdownpadding = 80.0;
const double heightFiveHundred = 500.0;


// Default values for thickness, height of containers, borders  etc

//Default Values for Text
const snackBarButtonText = "Show Snackbar";
const snackBarContent = "Message goes here";
const snackBarLabel = "Undo";

const chipTooltipMessage = "Show Snackbar";
const chipDeleteMessage = "Message goes here";
const chipLabel = "Brand";

const dialogHeader = "Dialog Header";
const dialogContent = "Dialog Content";
const dialogButtonText = "Text";
const cancelButtonText = "Cancel";

const cardImagePath = imagePath + "card1.png";
const cardTitle = "Card Title";
const cardSubtitle = "Card Subtitle";
const String listTop = "Top";
const String listBottom = "Bottom";

const double bottomOpacity = 1.0;
const double tileSpacing = 1.0;
const double toolbarOpacity = 1.0;
const bool primary = true;
const double elevation = 5.0;
const bool automaticallyImplyLoading = true;
const bool excludeHeaderSemantics = true;

const LIST_LABEL='Select an option';


List<BottomNavigationBarItem> bottomNavBarDefault=[
  BottomNavigationBarItem(
    icon: Icon(Icons.home),
    title: Text('Home'),
  ),
  BottomNavigationBarItem(
    icon: Icon(Icons.phone),
    title: Text('Phone'),
  ),
  BottomNavigationBarItem(
    icon: Icon(Icons.assistant),
    title: Text('Assisstant'),
  ),
];

const String title = "AppBar";
const textAlign = TextAlign.center;
const bool centerTitle= true;
List<Widget> appBarIcons=[
  IconButton(
    icon: const Icon(Icons.home),
    onPressed: () {print("Home");},
  ),
  IconButton(
    icon: const Icon(Icons.settings),
    onPressed: () {print("Settings");},
  ),
  IconButton(
    icon: const Icon(Icons.arrow_back),
    onPressed: () {print("Back");},
  ),
];

const Offset offsetDefault = Offset(2.0, 2.0);

const String callbackMessage = 'Please pass the values to the object of product class';

const String carouselTitle1 = "Product Name";
const String carouselTitle2 = "Product Type";
const String carouselTitle3 = "Product Quantity";
const String carouselTitle4 = "Product Price";


const double bottomOpacityOne = 1.0;
const double tileSpacingOne = 1.0;
const double toolbarOpacityOne = 1.0;
const double elevationFive = 5.0;

const IconData IconButton1= Icons.add_box;
const IconData cameraIcon = Icons.camera_alt;

//VerticalTabs
const int durationTwo = 2;
const double elevationTwo = 2.0;
const double tweenValueBegin = 0.0;
const double tweenValueEnd = 1.0;
const cardBtnText = "7.30 PM";
const MainAxisSize mainAxis_size=MainAxisSize.min;

const List DROPDOWNLIST = ['Option A', 'Option B', 'Option C'];
const double heightSixty = 60;
const double dropDown_width = 300;
const double image_width = 90;
const double blur_radius = 0;
const double spread_radius = 0;
const double shadow_offsetx = 0;
const double shadow_offsety = 0;
const double icon_size = 24;
const double border_width = 2;
const ShapeBorder FloatingActionButtonShape = CircleBorder();
ShapeBorder OutlineButtonShape = RoundedRectangleBorder(borderRadius: new BorderRadius.circular(heightThirty));
const int five=5;
const int start_year=2000;
const int start_month=1;
const int one=1;
const int end_year=2030;
const int end_month=1;
const int zero =0;
const String jpg='.jpg';
const String jpeg='.jpeg';
const String png='.png';

const String scanImage = "Scan";
const String cameraPermissionDenied = "Camera permission was denied";
const String cameraBackPress = "You pressed the back button before scanning anything";
const int two=2;
const int three=3;
const double threshold1=0.1;
const int oneSecond=1000;
const double doubleOne =1.0;
const double pointEight=0.8;
const double doubleTwo =2.0;
const double doubleZero=0.0;
const double pointThree=0.3;
String buttonLabel="Select";

